GWT 2.7.0

## com.google.gwt.core.ext.typeinfo
Interface JParameter

All Superinterfaces:
  HasAnnotations, HasMetaData

    public interface JParameter

extends HasAnnotations, HasMetaData

Represents a parameter in a declaration.

Method Summary
`JAbstractMethod` | `getEnclosingMethod()`
`java.lang.String` | `getName()`
`JType` | `getType()`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getEnclosingMethod

    JAbstractMethod getEnclosingMethod()

### getName

    java.lang.String getName()

### getType

    JType getType()

GWT 2.7.0